PDA

View Full Version : VMware issues on fedora 9



mwillman
29th July 2008, 03:17 AM
Hello

Ok heres the problem
The kernel that I'm is running is 2.6.25.11-97 but its build directory is a hard link to the
2.6.24.14-97 code. When I load the kernel-devel for the .14 kernel the vmware-config cant find the header files but when I Load the .11 kernel devel it finds the header files but they are not the ones it needs to load the vmware mods.

Anyone know a good work around for this issue?

I seem to be caught in a loop.

scottro
29th July 2008, 03:30 AM
Seems as if something went wrong somewhere. I've never had it get rid of a build directory unless it got rid of the kernel as well.

(Not much help, I know, I know.)

Is there any chance that if you use the newest kernel which should correctly link to the newest build directory, and used the vmware-any-any patch that it might help? Are you using the latest vmware build? These are all stabs in the dark though.

mwillman
29th July 2008, 03:41 AM
I dont even know where the older kernel came from.

My guess is that when I loaded Compiz-fusion and it made the new kernel it put the older one in.
I can't go back to the older .14 kernel becuase the nvidia drivers don't work on that one. unless I reinstall everything and that gets old fast.

Where can i get this any-any patch you speak of?

Seve
29th July 2008, 04:39 AM
Hello:
Can you post the output of

rpm -aq | grep kernel

Seve

mwillman
29th July 2008, 04:45 AM
I will post it tomorrow morning.
I left it at work running a few scripts.

scottro
29th July 2008, 05:05 AM
The vmware-any-any patch can be found at http://knihovny.cvut.cz/ftp/pub/vmware/vmware-any-any-update115.tar.gz

Hrrm, hasn't been updated since last year though, which isn't a good sign.
Are you running the latest 1.x version of VMware?

mwillman
29th July 2008, 05:34 PM
Seve this is what i get when I use the rpm command

kernel-PAE-2.6.25.11-97.fc9.i686
kernel-PAE-2.6.25-14.fc9.i686
kernel-2.6.25.11-97.fc9.i686
kernel-headers-2.6.25.11-97.fc9.i386
kernel-devel-2.6.25.11-97.fc9.i686
kerneloops-0.11-1.fc9.i386

Seve
29th July 2008, 11:20 PM
Hello:
If you boot using kernel-2.6.25.11-97.fc9.i686 and not
kernel-PAE-2.6.25.11-97.fc9.i686 then vmware-config.pl should work fine.
If you are going to run the kernel-PAE-2.6.25.11-97.fc9.i686 kernel then you are going to need the matching kernel-PAE-devel package.

Seve

mwillman
30th July 2008, 12:12 AM
Thanks seve its loaded now.